require "yaml"
module HncCancerPredict
  class Engine < ::Rails::Engine
    initializer "hnc_cancer_predict" do 
      OrbitApp.registration "HncCancerPredict", :type => "ModuleApp" do
        base_url File.expand_path File.dirname(__FILE__)
        taggable "hnc_cancer_predictfields"
        categorizable
        authorizable
        widget_methods ["widget"]
        widget_settings [{"data_count"=>1}]
        set_keyword_contstraints ['hnc_cancer_predictResult']
    		frontend_enabled
    		side_bar do
          head_label_i18n 'hnc_cancer_predict.hnc_cancer_predict', icon_class: "icons-tools"
          available_for "users"
          active_for_controllers (['admin/hnc_cancer_predicts'])
          head_link_path "admin_hnc_cancer_predicts_path"
          set_sidebar_order -7

          context_link 'hnc_cancer_predict.hnc_cancer_predict',
                                    :link_path=>"admin_hnc_cancer_predicts_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/hnc_cancer_predicts'=>'index'},
                                    :available_for => 'users'
    		  context_link 'hnc_cancer_predict.submitResult',
                                    :link_path=>"admin_hnc_cancer_predicts_showSubmit_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/hnc_cancer_predicts'=>'show_submit'},
                                    :available_for => 'users'
    		  context_link 'hnc_cancer_predict.export_hnc_cancer_predict_tool_records',
                                    :link_path=>"admin_hnc_cancer_predicts_export_cancer_tool_record_path" ,
                                    :priority=>1,
                                    :active_for_action=>{'admin/hnc_cancer_predicts'=>'export_cancer_tool_record'},
                                    :available_for => 'users'
    		end
      end
    end
  end
end